Delete a file

Preview. Remove a file, or a directory with recursive, in a running sandbox.

DELETE
/sandboxes/{sandbox_id}/files

Authorization

headerAuthorizationBearer <token>

Your Munito API key.

Path Parameters

sandbox_id*string

The id of the sandbox.

Query Parameters

path*string

A path in the sandbox. A relative path is under /workspace.

Length1 <= length <= 4096
recursive?boolean

Also remove a directory and everything in it.

Defaultfalse

Response Body

The path is gone.

curl -X DELETE 'https://api.munito.ai/sandboxes/v1/sandboxes/string/files?path=string'
Example Response
Empty